%global pypi_name slimit

%define python3 1

Name:           python-%{pypi_name}
Version:        0.8.1
Release:        %mkrel 9
Group:          Development/Python
Summary:        SlimIt - JavaScript minifier

License:        MIT
URL:            http://pypi.python.org/pypi/%{pypi_name}
Source0:        http://pypi.python.org/packages/source/s/%{pypi_name}/%{pypi_name}-%{version}.zip

BuildArch:      noarch
 
BuildRequires:  pkgconfig(python2)
BuildRequires:  pythonegg(2)(setuptools)

Requires:       %{pypi_name} = %{version}-%{release}

%description
SlimIt - JavaScript minifier.

%package -n %{pypi_name}
Summary:        SlimIt - JavaScript minifier
Group:          Development/Python
Requires:       python-%{pypi_name}

%description -n %{pypi_name}
SlimIt - JavaScript minifier.

%if %python3
%package -n python3-%{pypi_name}
Summary:        SlimIt - JavaScript minifier
Group:          Development/Python

Requires:       %{pypi_name} = %{version}-%{release}

BuildRequires:  pkgconfig(python3)
BuildRequires:  pythonegg(3)(setuptools)

%description -n python3-%{pypi_name}
SlimIt - JavaScript minifier.
%endif

%prep
%setup -q -n %{pypi_name}-%{version}

%autopatch -p1

cp -a . %{py3dir}

%build
%py2_build

%if %python3
pushd %{py3dir}
%py3_build
popd
%endif

%install
%if %python3
pushd %{py3dir}
%py3_install
popd
%endif

%py2_install

%files
%doc CHANGES README.rst
%{python2_sitelib}/%{pypi_name}*

%files -n %{pypi_name}
%{_bindir}/%{pypi_name}

%if %python3
%files -n python3-%{pypi_name}
%doc CHANGES README.rst
%{python3_sitelib}/%{pypi_name}*
%endif


%changelog
* Wed Apr 05 2017 blino <blino> 0.8.1-9.mga6
+ Revision: 1095928
- require python-slimit in slimit, not found by autoreq because it uses load_entry_point

* Fri Feb 19 2016 umeabot <umeabot> 0.8.1-8.mga6
+ Revision: 970867
- Mageia 6 Mass Rebuild

* Sat Oct 10 2015 daviddavid <daviddavid> 0.8.1-7.mga6
+ Revision: 888761
- rebuild for python 3.5
- use new python macros

* Wed Oct 15 2014 umeabot <umeabot> 0.8.1-6.mga5
+ Revision: 750252
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 0.8.1-5.mga5
+ Revision: 729767
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 0.8.1-4.mga5
+ Revision: 688337
- Mageia 5 Mass Rebuild

* Sat May 31 2014 pterjan <pterjan> 0.8.1-3.mga5
+ Revision: 629016
- Rebuild for new Python

* Tue Oct 22 2013 umeabot <umeabot> 0.8.1-2.mga4
+ Revision: 546137
- Mageia 4 Mass Rebuild

* Thu Oct 17 2013 neoclust <neoclust> 0.8.1-1.mga4
+ Revision: 502210
- imported package python-slimit

